import siteMetadata from '@/data/siteMetadata'

const SEO = {
  title: siteMetadata.title,
  description: siteMetadata.description,
  canonical: siteMetadata.siteUrl,
  openGraph: {
    type: 'website',
    locale: siteMetadata.language,
    url: siteMetadata.siteUrl,
    title: siteMetadata.title,
    description: siteMetadata.description,
    images: [
      {
        url: siteMetadata.image,
        alt: siteMetadata.title,
        width: 1280,
        height: 720,
      },
    ],
  },
  twitter: {
    handle: siteMetadata.twitter,
    site: siteMetadata.twitter,
    cardType: 'summary_large_image',
  },
}

export default SEO
